or Connect
AppleInsider › Forums › General › Genius Bar › Apple Software › Updating outdated G3 tower with OS 9.2.2 to OSX
New Posts  All Forums:Forum Nav:

Updating outdated G3 tower with OS 9.2.2 to OSX

post #1 of 6
Thread Starter 
I've had this old Blueberry G3 300MHZ tower sitting at the office, is running on system 9.2.2 and I'm wondering if there's a way I can upgrade to OSX, I want to do a clean install (I herd that I need to update the firmware), I have both Leopard and Tiger Installers but they are not even coming up when loaded in. I dont have high expectations but to be able to use it for web browsing. Is there anything I can do with this station beside setting it on fire? (that's is basically the advise I've been getting from other peers).
thanks in advance!
post #2 of 6
Once thing you would want to check before you do the upgrade is, are you sure the motherboard firmware on your G3 really supports OS X? If it requires an update, as you says, you'll need to do the update before you run OS X installer.

Also, AFAIK neither Tiger nor Leopard supports G3s anymore. Would you still want to move to Panther which was initially released more than 5 years ago? I wish you good luck.
de:RDF Journal | Raphael CHANs MostlyUseful² Weblog for OS X Enthusiasts:
http://rdf.nxstg.com/
Reply
de:RDF Journal | Raphael CHANs MostlyUseful² Weblog for OS X Enthusiasts:
http://rdf.nxstg.com/
Reply
post #3 of 6
I had Panther installed on a Blue & White PowerMac G3 (350MHz). It ran pretty slow, but it was usable.

Make sure you max out the RAM on the machine and get a big, fast hard disk.

However, be aware that Apple no longer provides any security updates to Panther, so if you're using it for browsing the web, you're doing so at your own risk. Mind you, if you're still using Mac OS 9, then you're probably already aware of that.
post #4 of 6
Quote:
Originally Posted by afx5i View Post

Also, AFAIK neither Tiger nor Leopard supports G3s anymore.

I've got Tiger installed on a G3 iBook SE (466 mhz).

How big's the Hard drive?... OSX is gonna take 4-6 GB all by itself.
What kind of web-browsing will you do?... that G3 won't play Flash or most video on the web these days.

What, exactly, do you mean when you say "they are not even coming up when loaded in." regarding the install discs? .... does the machine not even recognize the disc?, or does the installer just not run even though you can "find" it?
From out there on the moon, international politics look so petty. You want to grab a politician by the scruff of the neck and drag him a quarter of a million miles out and say, "Look at that!" -...
Reply
From out there on the moon, international politics look so petty. You want to grab a politician by the scruff of the neck and drag him a quarter of a million miles out and say, "Look at that!" -...
Reply
post #5 of 6
I used to own a 350MHz model PowerMac G3 Blueberry that I wound up souping up for a friend who needed a machine with an ADB port.

You can install 10.3 on it, no problem. You can install 9.2.2 for Classic/dual-booting, too.

Where things get dicey is for 10.4: Tiger requires a Apple-supported bootable DVD-ROM drive. You can either replace the G3's CD-ROM drive with an Apple-supported bootable DVD-ROM drive from OtherWorldComputing, or you can use a donor Mac:

If you have another Mac handy that has a DVD-ROM drive, simply connect the G3 to it using FireWire Target Disk Mode, start up the DVD-drive Mac with the Tiger disc, and have it install Tiger on the G3's disk (seen by setup as a FireWire disk).

Tiger will let you run 9.2.2 as Classic or as a dual-boot system.

Leopard 10.5 needs a G4 processor and a DVD-ROM drive. The G4 processor must be present in order to run the OS, so there's no donor Mac solution for this one. You can buy a "ZIF" G4 upgrade card and DVD-ROM for your G3, but the resultant Leopard install will be ridiculously slow, so Leopard isn't worth it. Also Leopard won't let you use 9.2.2 for Classic.

Whatever flavor of OSX you go with, max it out with 4x 256MB modules so it has 1GB of RAM.
post #6 of 6
Target mode doesn't exist on the B&W G3. you'll need xPost Facto if you use an external DVD drive, I think. Unless you do a lot of tinkering around, have a 2nd mac & have access to a 10.5 dev beta, Leopard will not install or run that machine.

10.4 was usable - barely. Camino or firefox is about it for browsers that work. With Camino, you can disable flash from autoplaying, which you want to do on a 300mhz.

Ditto on the RAM.
15" MacBook Pro 2.4 Ghz Unibody | MacBook 2.4 Ghz Unibody | AirPort Extreme - Gigabit | "Sawtooth" PowerMac G4 in B&W (G3) case, 1.2Ghz, 1TB Mirrored RAID
Reply
15" MacBook Pro 2.4 Ghz Unibody | MacBook 2.4 Ghz Unibody | AirPort Extreme - Gigabit | "Sawtooth" PowerMac G4 in B&W (G3) case, 1.2Ghz, 1TB Mirrored RAID
Reply
New Posts  All Forums:Forum Nav:
  Return Home
  Back to Forum: Apple Software
AppleInsider › Forums › General › Genius Bar › Apple Software › Updating outdated G3 tower with OS 9.2.2 to OSX